<script lang="ts">
  export let playerIds: PlayerId[];
</script>

{#if playerIds.length === 1}
  <gs6-user userid={playerIds[0]} />
{:else if playerIds.length === 2}
  <gs6-user userid={playerIds[0]} /> and
  <gs6-user userid={playerIds[1]} />
{:else}
  {#each playerIds.slice(0, playerIds.length - 1) as playerId}
    <gs6-user userid={playerId} />,{" "}
  {/each}
  and <gs6-user userid={playerIds[playerIds.length - 1]} />
{/if}
